## nsnake 1.5

=== Makefile ===
# nSnake Makefile (2011-2012)  Alexandre Dantas (kure) <alex.dantas92@gmail.com>
#
# Makefile Commandlines:
#  V	   Print all commands as they are called.
#		   To turn on for the current make, add 'V=1' on the
#		   commandline.
#		   To turn on permanently, uncomment the line specified below
#  DESTDIR Installs the package on a custom root directory (other than /)
#		   For example 'DESTDIR=~/'.
#  PREFIX  Installs the package on a custom directory (overwrites root)
#  CFLAGS  Changes the C flags used on compilation
#  CDEBUG  If you wish to build on debug mode, add 'CDEBUG=-g'
#
# Makefile Targets:
#  all		  Compiles the package
#  run		  Compiles and runs the program
#  install	  Installs the package
#  clean	  Removes the binary and the resulting object files
#  uninstall  Uninstalls the package
#  dist		  Creates the source code 'tarball' for distribution
#  doc		  Generates the documentation with doxygen
#  docclean	  Removes the documentation

# Uncomment line below to tun on verbose mode permanently
#V	= 1;

SHELL	= /bin/sh

# General Info
PACKAGE = nsnake
VERSION = 1.5
DATE	= `date '+%b%Y'`

# Local source code information
LBIN	= bin
LOBJ	= obj
LDOC	= doc
LSRC	= src
LFILES	= BUGS ChangeLog COPYING Doxyfile INSTALL Makefile README TODO

# Install
DESTDIR =
PREFIX	= $(DESTDIR)/usr

EXEC_PREFIX = $(PREFIX)
DATAROOTDIR = $(PREFIX)/share
MANROOT		= $(DATAROOTDIR)/man

BINDIR	  = $(EXEC_PREFIX)/games
MANDIR	  = $(MANROOT)/man6
MANNUMBER = 6

# Package score file name
SCORE_FILE = high-scores.bin

# Compiling information
CC			= gcc
EXE			= nsnake
CDEBUG		=
CFLAGS		= $(CDEBUG) -Wall -Wextra -O2
LIBS		= -lncurses
INCLUDESDIR =
LIBSDIR		=
OBJ			= $(LOBJ)/fruit.o	   \
			  $(LOBJ)/main.o	   \
			  $(LOBJ)/player.o	   \
			  $(LOBJ)/nsnake.o	   \
			  $(LOBJ)/engine.o	   \
			  $(LOBJ)/hscores.o	   \
			  $(LOBJ)/arguments.o
MANFILE		= $(PACKAGE).$(MANNUMBER)
MANPAGE		= $(LDOC)/man/$(MANFILE)

DEFINES	= -DVERSION=\""$(VERSION)"\"	   \
		  -DDATE=\""$(DATE)"\"			   \
		  -DSCORE_FILE=\""$(SCORE_FILE)"\"

# Distribution tarball
TARNAME = $(PACKAGE)
DISTDIR = $(TARNAME)-$(VERSION)

# Verbose mode check

ifdef V
MUTE =
VTAG = -v
else
MUTE = @
endif

ifdef DESTDIR
ROOT = -
else
ROOT =
endif

# Make targets
all: dirs $(EXE)
	# Build successful!

install: all
	# Installing...
	$(MUTE)install -d --mode=755 $(BINDIR)
	$(MUTE)install $(LBIN)/$(EXE) $(BINDIR)
	$(MUTE)install -d $(MANDIR)
	$(MUTE)install $(MANPAGE) $(MANDIR)
	# $(PACKAGE) successfuly installed!

uninstall:
	# Uninstalling...
	$(MUTE)rm -f $(BINDIR)/$(EXE)

purge: uninstall
	# Purging configuration files...
	$(MUTE)rm -f $(MANDIR)/$(MANFILE)

$(EXE): $(OBJ)
	# Linking...
	$(MUTE)$(CC) $(OBJ) -o $(LBIN)/$(EXE) $(LIBSDIR) $(LIBS)

$(LOBJ)/%.o: $(LSRC)/%.c
	# Compiling $<...
	$(MUTE)$(CC) $(CFLAGS) $< -c -o $@ $(DEFINES) $(INCLUDESDIR)

dist: clean $(DISTDIR).tar.gz

$(DISTDIR).tar.gz: $(DISTDIR)
	$(MUTE)tar czf $(DISTDIR).tar.gz $(DISTDIR)
	$(MUTE)rm -rf $(DISTDIR)
	$(MUTE)cp $(DISTDIR).tar.gz ..
	$(MUTE)rm -f $(DISTDIR).tar.gz

$(DISTDIR):
	$(MUTE)mkdir -p $(DISTDIR)/$(LSRC) $(DISTDIR)/$(LDOC)
	$(MUTE)mkdir -p $(DISTDIR)/$(LBIN) $(DISTDIR)/$(LOBJ)
	-$(MUTE)cp $(LFILES) -t $(DISTDIR)
	-$(MUTE)cp -r $(LSRC)/* $(DISTDIR)/$(LSRC)
	-$(MUTE)cp -r $(LBIN)/* $(DISTDIR)/$(LBIN)
	-$(MUTE)cp -r $(LDOC)/* $(DISTDIR)/$(LDOC)

dirs:
	# Asserting source dirs...
	-$(MUTE)mkdir -p $(LOBJ) $(LBIN)

run: all
	# Running...
	$(MUTE)./$(LBIN)/$(EXE)

clean:
	# Cleaning files...
	$(MUTE)rm $(VTAG) -f $(LOBJ)/*.o
	$(MUTE)rm $(VTAG) -f $(LBIN)/*

doc:
	# Generating documentation...
	$(MUTE)doxygen Doxyfile

docclean:
	# Removing documentation...
	-$(MUTE)rm $(VTAG) -rf $(LDOC)/html

.PHONY: clean doc docclean uninstall

#------------------------------------------------------------------------------

=== debian/changelog ===
nsnake (1.5-1) unstable; urgency=low

  * Initial release (Closes: #706048)

 -- Alexandre Dantas <alex.dantas92@gmail.com>  Tue, 23 Apr 2013 17:14:42 -0300

=== debian/control ===
Source: nsnake
Section: games
Priority: optional
Maintainer: Alexandre Dantas <alex.dantas92@gmail.com>
Build-Depends: debhelper (>= 9), libncurses5-dev
Standards-Version: 3.9.4
Homepage: http://www.alexdantas.net/projects/nsnake/
Vcs-Git: git://github.com/alexdantas/nSnake.git
Vcs-Browser: https://github.com/alexdantas/nSnake

Package: nsnake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: classic snake game with textual interface
 nsnake is an implementation of the classic snake game with textual
 interface. It is playable at command-line with ncurses-like graphics.
 .
 Features high-scores and two game modes - with and without borders.
 .
 Screenshot: http://alexdantas.net/nsnake-screenshot.png

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
		dh $@ --parallel

=== debian/watch ===
version=3
http://sf.net/nsnake/nsnake-(.+)\.tar\.gz

## nsnake 3.0.1

=== Makefile ===
# nsnake Makefile
# (2013) Alexandre Dantas <eu@alexdantas.net>
#
# This is a rather complex Makefile, sorry about that.
# It supports the following targets:
#
# make all        Builds the package
# make run        Builds and runs the program
# make install    Installs the package on your system
# make uninstall  Uninstalls the package from your system
# make clean      Cleans results of building process
# make dist       Creates source code "tarball"
# make doc        Generates the documentation with doxygen
# make docclean   Removes the documentation
#
# Also, the following commandline arguments customize
# default actions:
#
#  V        Verbose mode, off by default.
#           To turn on for the current command,
#           add `V=1` when calling `make`.
#           To turn on permanently, uncomment the line
#           specified below
#  DESTDIR  Installs the package on a custom root directory
#           (other than `/`). For example `DESTDIR=~/`.
#  PREFIX   Installs the package on a custom directory
#           (overwrites root)
#  CFLAGS   Changes the C flags used on compilation
#  CDEBUG   If you wish to build on debug mode, add 'CDEBUG=-g'
#  CFLAGS_PLATFORM
#           User specified compiler flags
#  LDFLAGS_PLATFORM
#           User specified linker flags
#

# Uncomment line below to tun on verbose mode permanently
#V = 1;

# General Info
PACKAGE = nsnake
VERSION = 3.0.0
DATE    = $(shell date "+%b%Y")

# Install dirs
PREFIX      = /usr
EXEC_PREFIX = $(PREFIX)
DATAROOTDIR = $(PREFIX)/share
BINDIR      = $(EXEC_PREFIX)/bin

# Misc stuff
PNGDIR     = $(DATAROOTDIR)/icons/hicolor
XPMDIR     = $(DATAROOTDIR)/pixmaps
DESKTOPDIR = $(DATAROOTDIR)/applications
LEVELDIR   = $(DATAROOTDIR)/games/nsnake/levels

# Things for the man page
MANROOT     = $(DATAROOTDIR)/man
MANDIR      = $(MANROOT)/man$(MANNUMBER)
MANNUMBER   = 6
MANFILE     = $(PACKAGE).$(MANNUMBER)
MANPAGE     = doc/man/$(MANFILE)

# Build info
EXE         = $(PACKAGE)
CDEBUG      = -O2
CXXFLAGS    = $(CDEBUG) -Wall -Wextra $(CFLAGS_PLATFORM)
LDFLAGS     = -lncurses $(LDFLAGS_PLATFORM)
INCLUDESDIR = -I"src/" -I"deps/"
LIBSDIR     =

# All source files
CFILES   = $(shell find src -type f -name '*.c')
CXXFILES = $(shell find src -type f -name '*.cpp')
OBJECTS  = $(CFILES:.c=.o) \
           $(CXXFILES:.cpp=.o)

DEFINES = -DVERSION=\""$(VERSION)"\"                  \
          -DPACKAGE=\""$(PACKAGE)"\"                  \
          -DDATE=\""$(DATE)"\"                        \
          -DSYSTEM_LEVEL_DIR=\""$(LEVELDIR)"\"

# commander stuff
COMMANDERDIR = deps/commander
COMMANDER_CFLAGS = -O2 -Wall -Wextra $(CFLAGS_PLATFORM)
COMMANDER_OBJS = $(COMMANDERDIR)/commander.o

# Distribution tarball
TARNAME = $(PACKAGE)
DISTDIR = $(TARNAME)-$(VERSION)

# Verbose mode check
ifdef V
MUTE =
VTAG = -v
else
MUTE = @
endif

ifdef DESTDIR
ROOT = -
else
ROOT =
endif

ifdef DEBUG
CDEBUG = -D_NSNAKE_DEBUG
else
CDEBUG =
endif

# Make targets
all: dirs $(EXE)
	# Build successful!

install: all
	# Installing...
	$(MUTE)install -pdm755 $(DESTDIR)$(BINDIR)
	$(MUTE)install -pm755 bin/$(EXE) $(DESTDIR)$(BINDIR)

	-$(MUTE)cat $(MANPAGE) | sed -e "s|DATE|$(DATE)|g" -e "s|VERSION|$(VERSION)|g" >$(MANFILE)
	$(MUTE)install -pdm755 $(DESTDIR)$(MANDIR)
	$(MUTE)install -pm644 $(MANFILE) $(DESTDIR)$(MANDIR)
	$(MUTE)rm -f $(MANFILE)

	$(MUTE)install -pdm755 $(DESTDIR)$(LEVELDIR)
	$(MUTE)install -pm644 levels/* $(DESTDIR)$(LEVELDIR)

	$(MUTE)install -pdm755 $(DESTDIR)$(PNGDIR)/16x16/apps/
	$(MUTE)install -pm644 misc/nsnake16.png $(DESTDIR)$(PNGDIR)/16x16/apps/nsnake.png
	$(MUTE)install -pdm755 $(DESTDIR)$(PNGDIR)/32x32/apps/
	$(MUTE)install -pm644 misc/nsnake32.png $(DESTDIR)$(PNGDIR)/32x32/apps/nsnake.png
	$(MUTE)install -pdm755 $(DESTDIR)$(XPMDIR)
	$(MUTE)install -pm644 misc/nsnake32.xpm $(DESTDIR)$(XPMDIR)/nsnake.xpm
	$(MUTE)install -pdm755 $(DESTDIR)$(DESKTOPDIR)
	$(MUTE)install -pm644 misc/nsnake.desktop $(DESTDIR)$(DESKTOPDIR)

	# $(PACKAGE) successfuly installed!

uninstall:
	# Uninstalling...
	$(MUTE)rm -f $(DESTDIR)$(BINDIR)/$(EXE)
	$(MUTE)rm -f $(DESTDIR)$(MANDIR)/$(MANFILE)
	$(MUTE)rm -f $(DESTDIR)$(PNGDIR)/16x16/apps/nsnake.png
	$(MUTE)rm -f $(DESTDIR)$(PNGDIR)/32x32/apps/nsnake.png
	$(MUTE)rm -f $(DESTDIR)$(XPMDIR)/nsnake.xpm
	$(MUTE)rm -f $(DESTDIR)$(DESKTOPDIR)/nsnake.desktop

$(EXE): $(OBJECTS) $(COMMANDER_OBJS)
	# Linking...
	$(MUTE)$(CXX) $(OBJECTS) $(COMMANDER_OBJS) -o bin/$(EXE) $(LIBSDIR) $(LDFLAGS)

src/%.o: src/%.cpp
	# Compiling $<...
	$(MUTE)$(CXX) $(CXXFLAGS) $(CDEBUG) $< -c -o $@ $(DEFINES) $(INCLUDESDIR)

dist: clean $(DISTDIR).tar.gz

# This creates a tarball with all the files
# versioned by GIT.
$(DISTDIR).tar.gz: $(DISTDIR)
	$(MUTE)tar czf $(DISTDIR).tar.gz $(DISTDIR)
	$(MUTE)rm -rf $(DISTDIR)
	$(MUTE)cp $(DISTDIR).tar.gz ..
	$(MUTE)rm -f $(DISTDIR).tar.gz
	# Created ../$(DISTDIR).tar.gz!

# This copies all the source code files into a
# subdirectory called $(DISTDIR).
#
# It uses `git ls-files` to create the directory
# tree and copy everything to their respective
# places.
#
$(DISTDIR):
	# Compressing source code...
	$(MUTE)mkdir -p $(DISTDIR)
	-$(MUTE)git ls-files | xargs -L 1 dirname | sed -e 's|^|$(DISTDIR)/|' | xargs -L 1 mkdir -p
	-$(MUTE)git ls-files | sed -e 's|\(.*\)|\0 $(DISTDIR)/\0|' | xargs -L 1 cp
	-$(MUTE)rm -f $(DISTDIR)/.gitignore

run: all
	# Running...
	$(MUTE)./bin/$(EXE)

clean:
	# Cleaning files...
	$(MUTE)rm $(VTAG) -f $(OBJECTS) $(COMMANDER_OBJS)
	$(MUTE)rm $(VTAG) -f bin/$(EXE)

dirs:
	$(MUTE)mkdir -p bin

doc:
	# Generating documentation...
	$(MUTE)doxygen Doxyfile

docclean:
	# Removing documentation...
	-$(MUTE)rm $(VTAG) -rf doc/html

.PHONY: clean dirs doc docclean uninstall

# commander stuff

$(COMMANDERDIR)/commander.o: $(COMMANDERDIR)/commander.c
	# Compiling $<...
	$(MUTE)$(CC) $(COMMANDER_CFLAGS) $< -c -o $@

=== debian/changelog ===
nsnake (3.0.1-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Rewrite d/watch in v5 format
  * Add debian/salsa-ci.yml
  * Drop old Debian menu entry, there is a .desktop file

  [ Helmut Grohne ]
  * fix FTCBFS: links with the build architecture compiler during make install
    (Closes: #1098409)

 -- Alexandre Detiste <tchet@debian.org>  Wed, 21 Jan 2026 08:13:56 +0100

nsnake (3.0.1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Import game on Salsa
  * Switch to DebHelper 13
  * Make the build verbose (Closes: #923122)
  * Set Rules-Requires-Root: no
  * Build-depends-on-obsolete-package libncurses5-dev

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 19:58:39 +0100

nsnake (3.0.1-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Chris Lamb ]
  * Make the build reproducible. (Closes: #833612)

 -- Vagrant Cascadian <vagrant@reproducible-builds.org>  Thu, 17 Nov 2022 17:49:38 +0000

nsnake (3.0.1-2) unstable; urgency=medium

  * Updated maintainer mail address
  * Cryptographic signature verification: upstream provides
    a PGP signature to verify the tarball. Consequently:
    - Added debian/upstream/signing-key.asc
    - Updated debian/watch
  * Removed desktop file and PNG/XPM icons because they're
    already provided by upstream

 -- Alexandre Dantas <eu@alexdantas.net>  Mon, 11 Aug 2014 15:48:05 -0400

nsnake (3.0.1-1) unstable; urgency=low

  * New upstream version.

 -- Alexandre Dantas <eu@alexdantas.net>  Thu, 31 Jul 2014 00:37:58 -0400

nsnake (1.5-2) unstable; urgency=low

  * Bumped standards version to 3.9.5
  * Added desktop and menu files, plus icons (Closes: #737978)
  * Fixed end-of-line error on hardening patch file (Closes: #753241)
  * Updated VCS links on debian/control

 -- Alexandre Dantas <eu@alexdantas.net>  Wed, 09 Jul 2014 23:30:23 -0400

=== debian/control ===
Source: nsnake
Section: games
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Alexandre Dantas <eu@alexdantas.net>,
Build-Depends: debhelper-compat (= 13), libncurses-dev
Standards-Version: 4.7.3
Homepage: http://nsnake.alexdantas.net/
Vcs-Git: https://salsa.debian.org/games-team/nsnake.git
Vcs-Browser: https://salsa.debian.org/games-team/nsnake

Package: nsnake
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: classic snake game on the terminal
 nsnake is a clone of the snake game found on old cellphones. It is
 played on the command-line with textual interface, thanks to ncurses.
 .
 Features high-scores, several game modes, a GUI-like interface and
 custom levels.

=== debian/watch ===
Version: 5

Source: http://sf.net/nsnake/
Matching-Pattern: nsnake-(.+)\.tar\.gz
Pgpsigurlmangle: s/.*nsnake-(\d\S*)\.tar\.gz/http:\/\/alexdantas.net\/projects\/nsnake\/meta\/nsnake-$1\.tar\.gz\.asc/
